Bug 828839 - (CVE-2012-2676) CVE-2012-2676 hoard: malloc() and calloc() size overflows
CVE-2012-2676 hoard: malloc() and calloc() size overflows
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120605,repor...
: Security
Depends On: 828841
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-05 08:52 EDT by Jan Lieskovsky
Modified: 2015-07-31 02:51 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-06-05 08:52:18 EDT
A security flaw was found in the way malloc() and calloc() routines implementation in Hoard, a fast, scalable, and memory-efficient allocator, performed validation of their arguments for overflows. If an application using Hoard memory allocator was missing application-level malloc() and calloc() routines arguments validity checks, a remote attacker could provide a specially-crafted application-specific input file, leading to that application crash or, potentially, arbitrary code execution with the privileges of the user running the application.

References:
[1] http://www.openwall.com/lists/oss-security/2012/06/05/1

Upstream patch:
Based on [1] there doesn't seem to be upstream patch yet.
Comment 1 Jan Lieskovsky 2012-06-05 08:54:48 EDT
Based on [1], this issue affects the v3.8 versions (thus also those, which are currently being shipped in Fedora release of 15, 16, and 17) of Hoard.

Please schedule an update for these hoard versions, once there is final upstream patch available.
Comment 2 Jan Lieskovsky 2012-06-05 08:55:35 EDT
Created hoard tracking bugs for this issue

Affects: fedora-all [bug 828841]
Comment 3 Ryan H. Lewis (rhl) 2012-06-05 18:06:16 EDT
Hi,

I have notified upstream myself, as soon as an update comes around I will provide it.
Comment 4 Jan Lieskovsky 2012-06-08 04:16:53 EDT
The CVE identifier of CVE-2012-2676 has been assigned to this issue:
http://www.openwall.com/lists/oss-security/2012/06/07/13
Comment 5 Jan Lieskovsky 2012-06-08 04:20:00 EDT
(In reply to comment #3)
> Hi,
> 
> I have notified upstream myself, as soon as an update comes around I will
> provide it.

Thanks, Ryan. Would you need a way how to reproduce this issue, contact Xi Wang (original issue reporter) [1]
Comment 6 Ryan H. Lewis (rhl) 2012-06-08 11:28:33 EDT
Ok, will do. It seems there is a fix in the works. to be released soon.

Note You need to log in before you can comment on or make changes to this bug.